### R code from vignette source 'MVN.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: MVN.Rnw:22-24
###################################################
require(knitr)
opts_chunk$set(cache = TRUE, dev = "pdf")


###################################################
### code chunk number 2: "display data"
###################################################
data(iris)
head(iris)


###################################################
### code chunk number 3: "class and dimension of the data"
###################################################
class(iris)
dim(iris)


###################################################
### code chunk number 4: "subset of the data"
###################################################
Iris=iris[1:50, 1:4]
head(Iris)


###################################################
### code chunk number 5: "load package"
###################################################
library(MVN)


###################################################
### code chunk number 6: "Mardia test"
###################################################
result <- mardiaTest(Iris, cov = TRUE, qqplot = FALSE)
result


###################################################
### code chunk number 7: "mardia slots"
###################################################
getSlots("mardia")


###################################################
### code chunk number 8: "mardiaTest slots"
###################################################
result@p.value.skew
result@p.value.kurt


###################################################
### code chunk number 9: "Henze-Zirkler test"
###################################################
result <- hzTest(Iris, cov = TRUE, qqplot = FALSE)
result


###################################################
### code chunk number 10: "hz slots"
###################################################
getSlots("hz")


###################################################
### code chunk number 11: "hzTest slots"
###################################################
result@HZ
result@p.value


###################################################
### code chunk number 12: "Royston test"
###################################################
result <- roystonTest(Iris, qqplot = FALSE)
result


###################################################
### code chunk number 13: "royston slots"
###################################################
getSlots("hz")


###################################################
### code chunk number 14: "roystonTest slots"
###################################################
result@H
result@p.value


###################################################
### code chunk number 15: "qq-plot"
###################################################
result <- roystonTest(Iris, qqplot = TRUE)
result


###################################################
### code chunk number 16: "perspective plot"
###################################################
Iris = iris[1:50, 1:2] 
result = hzTest(Iris)
mvnPlot(result, type = "persp", default = TRUE)


###################################################
### code chunk number 17: "contour plot"
###################################################
mvnPlot(result, type = "contour", default = TRUE)


###################################################
### code chunk number 18: "Session info"
###################################################
sessionInfo()


